| Earth Observation Mission CFI Software FileHandlling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::FixedHeader Class Reference

Class to store fixed header data of XML files. More...

List of all members.

## Public Member Functions
| FixedHeader ()
| Empty constructor.
| FixedHeader (const string fileName, const string schema, const string fileDescription, const string notes, const string mission, const string fileClass, const string fileType, const string valStartDate, const string valStopDate, const long version, const string system, const string creator, const string creatorVersion, const string creationDate, const long fileExtensionType)
| Constructor with parameters.
| ~FixedHeader ()
| Destructor.
## Public Attributes
string | fileName
| File name.
string | schema
| File schema.
string | fileDescription
| File description.
string | notes
| File notes.
string | mission
| Mission.
string | fileClass
| File class.
string | fileType
| File type.
string | valStartDate
| Validity start date.
string | valStopDate
| Validity stop date.
long | version
| File version.
string | system
| System.
string | creator
| File creator.
string | creatorVersion
| File version.
string | creationDate
| File creation date.
long | fileExtensionType
| File extension. Allowed values given by FileExtensionTypeEnum.

## Detailed Description

Class to store fixed header data of XML files.

## Constructor & Destructor Documentation

EECFI::FixedHeader::FixedHeader | ( |  | ) |

Empty constructor.

References creationDate, creator, creatorVersion, fileClass, fileDescription, fileExtensionType, fileName, fileType, mission, notes, schema, system, valStartDate, valStopDate, and version.

EECFI::FixedHeader::FixedHeader | ( | const string | fileNam,
|  | const string | schemaIn,
|  | const string | fileDescriptio,
|  | const string | note,
|  | const string | missio,
|  | const string | fileClas,
|  | const string | fileTyp,
|  | const string | valStartDat,
|  | const string | valStopDat,
|  | const long | versio,
|  | const string | syste,
|  | const string | creato,
|  | const string | creatorVersio,
|  | const string | creationDat,
|  | const long | fileExtensionTyp |
| ) |  |  |

Constructor with parameters.

Parameters:

  | fileNam | Name of the file.
  | fileDescriptio | File description.
  | note | Notes.
  | missio | Mission.
  | fileClas | File class.
  | fileTyp | File type.
  | valStartDat | Validity start date..
  | valStopDat | Validity stop date..
  | versio | File version.
  | syste | System.
  | creato | Creator of the file.
  | creatorVersio | Version of creator.
  | creationDat | Creation date.
  | fileExtensionTyp | File extension type.

References creationDate, creator, creatorVersion, fileClass, fileDescription, fileExtensionType, fileName, fileType, mission, notes, schema, system, valStartDate, valStopDate, and version.

EECFI::FixedHeader::~FixedHeader | ( |  | ) |

Destructor.

## Member Data Documentation

string EECFI::FixedHeader::creationDate

File creation date.

Referenced by FixedHeader().

string EECFI::FixedHeader::creator

File creator.

Referenced by FixedHeader().

string EECFI::FixedHeader::creatorVersion

File version.

Referenced by FixedHeader().

string EECFI::FixedHeader::fileClass

File class.

Referenced by FixedHeader().

string EECFI::FixedHeader::fileDescription

File description.

Referenced by FixedHeader().

long EECFI::FixedHeader::fileExtensionType

File extension. Allowed values given by FileExtensionTypeEnum.

Referenced by FixedHeader().

string EECFI::FixedHeader::fileName

File name.

Referenced by FixedHeader().

string EECFI::FixedHeader::fileType

File type.

Referenced by FixedHeader().

string EECFI::FixedHeader::mission

Mission.

Referenced by FixedHeader().

string EECFI::FixedHeader::notes

File notes.

Referenced by FixedHeader().

string EECFI::FixedHeader::schema

File schema.

Referenced by FixedHeader().

string EECFI::FixedHeader::system

System.

Referenced by FixedHeader().

string EECFI::FixedHeader::valStartDate

Validity start date.

Referenced by FixedHeader().

string EECFI::FixedHeader::valStopDate

Validity stop date.

Referenced by FixedHeader().

long EECFI::FixedHeader::version

File version.

Referenced by FixedHeader().